# $Revision: 1.27 $, $Date: 2002/10/30 13:05:29 $
Summary:	Web Site CReating and Editing EnvironMent
Summary(pl):	rodowisko do tworzenia i edycji serwisw WWW
Name:		screem
Version:	0.4.1
Release:	6
License:	GPL
Group:		X11/Applications/Editors
Source0:	http://ftp1.sourceforge.net/screem/%{name}-%{version}.tar.gz
Patch0:		%{name}-use_AM_GNU_GETTEXT.patch
Patch1:		%{name}-make_fix.patch
URL:		http://www.screem.org/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	gettext-devel
BuildRequires:	gdk-pixbuf-devel >= 0.7
BuildRequires:	gnome-libs-devel >= 1.2.0
BuildRequires:	gnome-print-devel >= 0.24
BuildRequires:	gtkhtml-devel >= 0.8.3
BuildRequires:	guile-devel
BuildRequires:	libxml-devel >= 1.8.7
BuildRequires:	libglade-devel >= 0.12
BuildRequires:	gdk-pixbuf-gnome-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_prefix		/usr/X11R6

%description
SCREEM (Site CReating and Editing EnvironMent) is an integrated
development environment for the creation and maintainance of websites
and pages.

%description -l pl
SCREEM (Site CReating and Editing EnvironMent) jest zingtegrowanym
rodowiskiem do tworzenia i prowadzenia serwisw i stron WWW.

%prep
%setup -q
#%patch0 -p1
%patch1 -p1

%build
#%{__libtoolize}
#%{__gettextize}
#aclocal -I macros
#%{__autoconf}
#%{__automake}
%configure2_13 \
	--enable-static=no
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	Applicationsdir=%{_applnkdir}/Editors/HTML

%find_lang %{name} --with-gnome

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc ChangeLog NEWS README TODO FAQ BUGS DEPENDS
%attr(755,root,root) %{_bindir}/*
%dir %{_libdir}/screem
%dir %{_libdir}/screem/plugins
%attr(755,root,root) %{_libdir}/screem/plugins/*
%{_datadir}/screem
%{_pixmapsdir}/*
%{_datadir}/mime-info/screem.keys
%{_datadir}/mime-info/screem.mime
%{_applnkdir}/Editors/HTML/screem.desktop

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: screem.spec,v $
Revision 1.27  2002/10/30 13:05:29  ankry
- desktop moved to Editors/HTML, cleaning, rel. 6

Revision 1.26  2002/07/10 17:49:10  blues
- new doc

Revision 1.25  2002/07/07 00:17:39  undefine
- works fine. release 5. stbrasap

Revision 1.24  2002/07/07 00:07:16  maryush
- added missing BR
- please testing - if work correctly please rel++ ;)

Revision 1.23  2002/07/06 23:43:32  maryush
- disable auto* tools now (broken -=> if (auto == enabled) screem.build=FAIL;)
- added missing make options gdkpix_buf and libglade (screem-make_fix.patch)
- build and work ok, but need testing

Revision 1.22  2002/06/23 20:52:53  kloczek
perl -pi -e "s/^gettextize --copy --force/\%%\{__gettextize\}/"

Revision 1.21  2002/06/23 20:32:36  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.20  2002/05/21 23:14:41  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.19  2002/03/24 23:28:24  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.18  2002/02/22 23:29:42  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.17  2002/01/18 02:14:52  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.16  2001/09/26 13:05:45  qboosh
- pl translations, BuildRequires: libtool

Revision 1.15  2001/09/18 11:04:21  blues
- removed no_hardcoded_sequences patch (this is screem, not screen)

Revision 1.14  2001/08/16 08:25:02  blues
- typo

Revision 1.13  2001/07/23 03:52:25  kloczek
- release 4,
- added no_hardcoded_term_sequences patch:
  Remove *ALL* hardcoding term sequences. After remove all this stupid things
  pine withouth harcoded sequences also can work correctly.

Revision 1.12  2001/04/19 01:51:32  kloczek
- release 3,
- reuild against gal 0.7,
- added use_AM_GNU_GETTEXT patch.

Revision 1.11  2001/03/19 18:06:18  kloczek
- release 2,
- added missing gtkhtml-devel Buildrequires,
- rebuild against gtkhtml linked with gal 0.5.

Revision 1.10  2001/03/16 02:35:19  kloczek
- updated to 0.4.1.

Revision 1.9  2001/03/03 12:09:04  kloczek
- updated to 0.4.0.

Revision 1.8  2001/02/11 20:12:55  kloczek
- release 4: removed *.la files from plugins directory.

Revision 1.7  2001/02/02 17:50:35  kloczek
- perl -pi -e "s/^\%\{_datadir\}\/pixmaps/\%\{_pixmapsdir\}/"

Revision 1.6  2000/10/30 07:49:18  kloczek
- release 4: rebuild against gnome-libs linked with db3.

Revision 1.5  2000/10/18 01:50:16  kloczek
- release3: added guile-devel to BuildRequires.

Revision 1.4  2000/10/12 05:52:12  kloczek
- release 2,
- use new rpm automation,
- remove w3c-libwww-devel from BuildRequires,
- build against new gnome-print 0.24.

Revision 1.3  2000/08/19 16:20:38  kloczek
- updated to 0.3.0,
- news Source url,
- run %%find_lang --with-gnome now for find all help files.

Revision 1.2  2000/07/25 09:50:21  kloczek
- rewritten in PLD style.
